GameColor = {
	PlayerColors = {
		PLAYER_1 = color("#ed55e8"),
		PLAYER_2 = color("#e9b132"),
	},
	PlayerDarkColors = {
		PLAYER_1 = color("#db5ad7"),
		PLAYER_2 = color("#d6a022"),
	},
	Difficulty = {
		--[[ These are for 'Custom' Difficulty Ranks. It can be very  useful
		in some cases, especially to apply new colors for stuff you
		couldn't before. (huh? -aj) ]]
		Beginner	= color("#ff99fc"),
		Easy		= color("#80ff66"),
		Medium		= color("#fced65"),
		Hard		= color("#ff9499"),
		Challenge	= color("#8582ff"),
		Edit		= color("#cccccc"),
		Couple		= color("#ed68a6"),
		Routine		= color("#ffc266"),
		Crazy		= color("#cc4e54"),
		Freestyle	= color("#44cc29"),
		Nightmare	= color("#423fcc"),
		HalfDouble	= color("#c9b928"),
		--[[ These are for courses, so let's slap them here in case someone
		wanted to use Difficulty in Course and Step regions. ]]
		Difficulty_Beginner	= color("#ff32f8"),
		Difficulty_Easy		= color("#2cff00"),
		Difficulty_Medium	= color("#fee600"),
		Difficulty_Hard		= color("#ff2f39"),
		Difficulty_Challenge	= color("#201cff"),
		Difficulty_Edit 	= color("#cccccc"),
		Difficulty_Couple	= color("#ed0972"),
		Difficulty_Routine	= color("#ff9a00")
	},
	Stage = {
		Stage_1st	= color("#00a9d3"),
		Stage_2nd	= color("#00a9d3"),
		Stage_3rd	= color("#00a9d3"),
		Stage_4th	= color("#00a9d3"),
		Stage_5th	= color("#00a9d3"),
		Stage_6th	= color("#00a9d3"),
		Stage_Next	= color("#d47c00"),
		Stage_Final	= color("#d3a900"),
		Stage_Extra1	= color("#c80000"),
		Stage_Extra2	= color("#812c2c"),
		Stage_Nonstop	= color("#d300c7"),
		Stage_Oni	= color("#125200"),
		Stage_Endless	= color("#002396"),
		Stage_Event	= color("#00a9d3"),
		Stage_Demo	= color("#d47c00")
	},
	Judgment = {
		JudgmentLine_W1		= color("#6abacb"),
		JudgmentLine_W2		= color("#ffc977"),
		JudgmentLine_W3		= color("#55ff4c"),
		JudgmentLine_W4		= color("#c568fb"),
		JudgmentLine_W5		= color("#fe9447"),
		JudgmentLine_Held	= color("#ffde00"),
		JudgmentLine_Miss	= color("#ff1717"),
		JudgmentLine_MaxCombo	= color("#00fff6")
	},
	PonySkin = {
		twilight	= color("#d4a4e8"),
		applejack	= color("#ffc162"),
		fluttershy	= color("#fff798"),
		pinkie		= color("#f7c0d6"),
		dash		= color("#9dd9f8"),
		rarity		= color("#f3f5f7"),
		starlight	= color("#f3c3f7"),
		sunset		= color("#fccb57"),
		celestia	= color("#ffffff"),
		luna		= color("#284282"),
		cadance		= color("#fecce5"),
		trixie		= color("#70b4eb"),
		lyra		= color("#70fedc"),
		bonbon		= color("#f4f9cf"),
		derpy		= color("#cccfe2"),
		doctor		= color("#c0aa7d"),
		octavia		= color("#bab8b0"),
		vinyl		= color("#fffded"),
		minuette	= color("#85c5f4"),
		punch		= color("#e086f7"),
		aloe		= color("#fcb3d7"),
		lotus		= color("#66dbff"),
		applebloom	= color("#f7f68e"),
		babsseed	= color("#daa04a"),
		scootaloo	= color("#fdb44c"),
		sweetie		= color("#efeced"),
		carrottop	= color("#fffa94"),
		cheerilee	= color("#ab4388"),
		cheese		= color("#ffb22a"),
		cherry		= color("#efebc1"),
		cloudchaser	= color("#cbc2f7"),
		flitter		= color("#cfc1ee"),
		coco		= color("#faf5dc"),
		coloratura	= color("#d9f1e7"),
		countess	= color("#dcf3e9"),
		diamondtiara	= color("#fac4fb"),
		silverspoon	= color("#a9b5c0"),
		doublediamond	= color("#ffffff"),
		nightglider	= color("#4f7eac"),
		partyfavor	= color("#caf1f1"),
		sugarbelle	= color("#ffc3e5"),
		spitfire	= color("#fff759"),
		soarin		= color("#e3f7ff"),
		fleetfoot	= color("#9fe6e3"),
		lightning	= color("#86ecd9"),
		maudpie		= color("#abaab2"),
		limestone	= color("#9495b9"),
		marble		= color("#bec9c9"),
		moondancer	= color("#f9f8d1"),
		nurse		= color("#f7f7f7"),
		nmmoon		= color("#0f0f21"),
		shining		= color("#ffffff"),
		adagio		= color("#ecf193"),
		aria		= color("#e0b1ce"),
		sonata		= color("#def4fa"),
		cloudkicker	= color("#b2a8e5"),
		treehugger	= color("#b9e882"),
		chrysalis	= color("#353535"),
		daringdo	= color("#dac261"),
		applefritter	= color("#f1f18a"),
		buttonmash	= color("#816d3f"),
		daisy		= color("#ff98ff"),
		fancypants	= color("#ffffff"),
		flashsentry	= color("#fcc962"),
		fleurdelis	= color("#ffffff"),
		flurryheart	= color("#fff2fb"),
		gilda		= color("#c39f53"),
		junebug		= color("#edeeb4"),
		lilyvalley	= color("#ef94ba"),
		mrsshy		= color("#feeaab"),
		nightlight	= color("#5e9cd9"),
		photofinish	= color("#b6f3ff"),
		pipsqueak	= color("#875c32"),
		roseluck	= color("#ffffd9"),
		saffron		= color("#f2a259"),
		sapphireshores	= color("#ece4b0"),
		sassysaddles	= color("#b9e5f8"),
		screwball	= color("#e994eb"),
		screwloose	= color("#60d6e6"),
		spoiledrich	= color("#eba6a9"),
		sweetbiscuit	= color("#fcf5db"),
		velvet		= color("#dbdbdb")
	},
	PonyMane = {
		twilight	= color("#273771"),
		applejack	= color("#fff3a1"),
		fluttershy	= color("#f9b8ce"),
		pinkie		= color("#c50067"),
		dash		= color("#c6006f"),
		rarity		= color("#7f4b9b"),
		starlight	= color("#6a2e8c"),
		sunset		= color("#ec1d2e"),
		celestia	= color("#4ab0d0"),
		luna		= color("#1558ce"),
		cadance		= color("#65278d"),
		trixie		= color("#bce6fa"),
		lyra		= color("#a1e8e6"),
		bonbon		= color("#355993"),
		derpy		= color("#feffa5"),
		doctor		= color("#4e4023"),
		octavia		= color("#333333"),
		vinyl		= color("#007dc3"),
		minuette	= color("#3849cc"),
		punch		= color("#af2186"),
		aloe		= color("#7bd7fc"),
		lotus		= color("#ffaddc"),
		applebloom	= color("#f73656"),
		babsseed	= color("#e62d61"),
		scootaloo	= color("#b54485"),
		sweetie		= color("#a67eba"),
		carrottop	= color("#fba52a"),
		cheerilee	= color("#fecae7"),
		cheese		= color("#562900"),
		cherry		= color("#95313e"),
		cloudchaser	= color("#c5f1fe"),
		flitter		= color("#d4feec"),
		coco		= color("#9bebeb"),
		coloratura	= color("#2b2346"),
		countess	= color("#f7effc"),
		diamondtiara	= color("#ba98da"),
		silverspoon	= color("#d9e3e9"),
		doublediamond	= color("#f3fcfc"),
		nightglider	= color("#e1e4f8"),
		partyfavor	= color("#4d86c9"),
		sugarbelle	= color("#955495"),
		spitfire	= color("#ff8a16"),
		soarin		= color("#3e4374"),
		fleetfoot	= color("#ffffff"),
		lightning	= color("#ecae09"),
		maudpie		= color("#8874a9"),
		limestone	= color("#c7cecf"),
		marble		= color("#617579"),
		moondancer	= color("#e94060"),
		nurse		= color("#f8ced3"),
		nmmoon		= color("#2744b9"),
		shining		= color("#343675"),
		adagio		= color("#cd8705"),
		aria		= color("#7924a1"),
		sonata		= color("#5abad1"),
		cloudkicker	= color("#f4cb6d"),
		treehugger	= color("#e26877"),
		chrysalis	= color("#2c6a7f"),
		daringdo	= color("#4a4a4a"),
		applefritter	= color("#60ba4a"),
		buttonmash	= color("#bc6a2e"),
		daisy		= color("#bbf572"),
		fancypants	= color("#77a7d0"),
		flashsentry	= color("#2d4b9c"),
		fleurdelis	= color("#ffe1ff"),
		flurryheart	= color("#f592c9"),
		gilda		= color("#d5c9dd"),
		junebug		= color("#f1b95e"),
		lilyvalley	= color("#f7e18d"),
		mrsshy		= color("#cf4c74"),
		nightlight	= color("#233480"),
		photofinish	= color("#f8f6f8"),
		pipsqueak	= color("#712304"),
		roseluck	= color("#bb2a57"),
		saffron		= color("#45233b"),
		sapphireshores	= color("#2579ef"),
		sassysaddles	= color("#e47655"),
		screwball	= color("#965ad3"),
		screwloose	= color("#b1cae4"),
		spoiledrich	= color("#7a2d80"),
		sweetbiscuit	= color("#d7b069"),
		velvet		= color("#935cb5")
	},
	PonyGlow = {
		twilight	= color("#652d84"),
		applejack	= color("#f8d65b"),
		fluttershy	= color("#ea87b8"),
		pinkie		= color("#e9458a"),
		dash		= color("#1e98d3"),
		rarity		= color("#5e53a3"),
		starlight	= color("#adece9"),
		sunset		= color("#f4ec78"),
		celestia	= color("#e69af3"),
		luna		= color("#885de4"),
		cadance		= color("#d82793"),
		trixie		= color("#daf0fb"),
		lyra		= color("#ffffff"),
		bonbon		= color("#fd8ad9"),
		derpy		= color("#f0e268"),
		doctor		= color("#342616"),
		octavia		= color("#676767"),
		vinyl		= color("#42c4dd"),
		minuette	= color("#d8daf7"),
		punch		= color("#721758"),
		aloe		= color("#b9e4f5"),
		lotus		= color("#ffd8f7"),
		applebloom	= color("#c40f42"),
		babsseed	= color("#ee698e"),
		scootaloo	= color("#ba0063"),
		sweetie		= color("#f6afcd"),
		carrottop	= color("#e2890b"),
		cheerilee	= color("#ffebf5"),
		cheese		= color("#fffb01"),
		cherry		= color("#d0344d"),
		cloudchaser	= color("#fdfefe"),
		flitter		= color("#85e1ce"),
		coco		= color("#cdfaf5"),
		coloratura	= color("#3d375f"),
		countess	= color("#785f9f"),
		diamondtiara	= color("#ffffff"),
		silverspoon	= color("#e9eff2"),
		doublediamond	= color("#ffffff"),
		nightglider	= color("#ffffff"),
		partyfavor	= color("#68aade"),
		sugarbelle	= color("#533251"),
		spitfire	= color("#ffc932"),
		soarin		= color("#42c3ff"),
		fleetfoot	= color("#bbeef0"),
		lightning	= color("#f0dc5c"),
		maudpie		= color("#483964"),
		limestone	= color("#6b7b7e"),
		marble		= color("#819890"),
		moondancer	= color("#844bc3"),
		nurse		= color("#f6aab4"),
		nmmoon		= color("#6789f6"),
		shining		= color("#7ed7de"),
		adagio		= color("#bfc428"),
		aria		= color("#46dea3"),
		sonata		= color("#3f3781"),
		cloudkicker	= color("#f7f598"),
		treehugger	= color("#e59372"),
		chrysalis	= color("#166e67"),
		daringdo	= color("#979797"),
		applefritter	= color("#88d556"),
		buttonmash	= color("#d09960"),
		daisy		= color("#87df12"),
		fancypants	= color("#99bddc"),
		flashsentry	= color("#4364c4"),
		fleurdelis	= color("#fff8ff"),
		flurryheart	= color("#57c4dd"),
		gilda		= color("#caa6da"),
		junebug		= color("#f9dbab"),
		lilyvalley	= color("#faecb5"),
		mrsshy		= color("#a92b51"),
		nightlight	= color("#121e55"),
		photofinish	= color("#cd1d8e"),
		pipsqueak	= color("#ffffff"),
		roseluck	= color("#e3839f"),
		saffron		= color("#5a2e4d"),
		sapphireshores	= color("#6ba3f1"),
		sassysaddles	= color("#e7d873"),
		screwball	= color("#fffbfd"),
		screwloose	= color("#7cbfe1"),
		spoiledrich	= color("#95409a"),
		sweetbiscuit	= color("#eeda96"),
		velvet		= color("#ffffff")
	},
}